; See explanation of limits at the end of the file

[SALIMITS]
PtrNodeSingle = unlimited
PtrNodeDouble = unlimited
EntryInfoNode = unlimited
Peds = 240
PedIntelligence = 140
Vehicles = 210
Buildings = 100000
Objects = 50000
Dummys = 50000
ColModel = unlimited
Task = unlimited
Event = unlimited
PointRoute = unlimited
PatrolRoute = unlimited
NodeRoute = unlimited
TaskAllocator = unlimited
PedAttractors = unlimited
VehicleStructs = unlimited
MatrixList = unlimited
OutsideWorldWaterBlocks = 500
AlphaEntityList = unlimited
VisibleEntityPtrs = unlimited
VisibleLodPtrs = unlimited
StreamingObjectInstancesList = 30000
AtomicModels = unlimited
DamageAtomicModels = unlimited
TimeModels = unlimited
ClumpModels = unlimited
VehicleModels = unlimited
PedModels = unlimited
WeaponModels = unlimited
EntitiesPerIpl = unlimited
EntityIpl = unlimited
StaticShadows = 2048
Coronas = 20000
ScriptSearchLights = 1024
FrameLimit = 60
MemoryAvailable = 30%

[VCLIMITS]
ExtraObjectsDir = 256
PtrNode	= 300000
EntryInfoNode = 3200
Peds = 140
Vehicles = 110
Buildings = 300000
Treadables = 1
Objects = 10000
Dummys = 30000
AudioScriptObj = 192
ColModel = 15000
AlphaEntityList = 2000
VisibleEntityPtrs = unlimited
AtomicModels = 10000
TimeModels = 10000
ClumpModels = unlimited
VehicleModels = unlimited
PedModels = unlimited
WeaponModels = unlimited
2dEffects = unlimited
OutsideWorldWaterBlocks = 40
Coronas = 5000
FrameLimit = 30
MemoryAvailable = 30%

[GTA3LIMITS]
StreamingInfo = 6350
TxdStore = 850
ExtraObjectsDir = 256
PtrNode = 90000
EntryInfoNode = 30000
Peds = 140
Vehicles = 110
Buildings = 100000
Treadables = 1214
Objects = 10000
Dummys = 30000
AudioScriptObj = 256
AlphaEntityList = 2000
VisibleEntityPtrs = unlimited
TimeModels = 10000
OutsideWorldWaterBlocks = 40
Coronas = 5000
FrameLimit = 30
MemoryAvailable = 30%

[OPTIONS]
DebugTextKey = 0x74		; F5 -- Use an VKEY (see http://msdn.microsoft.com/pt-br/library/windows/desktop/dd375731(v=vs.85).aspx)

; ### StreamingInfo
;     Size of the streaming info array.
;     Must be big enough to hold all streamed resources (http://www.gtamodding.com/wiki/Resource_Streaming)
;     For III the size should be numModels + TxdStore size (numModels is currently fixed at 5500).
;
; ### ExtraObjectsDir
;     Size of the extra objects directory.
;     Number of streamed DFFs the game can store that have no IDE definition.
;
; ### TxdStore
;     Size of the Txd Pool.
;     Number of Txds the game can use, StreamingInfo must be increased too.
;
; ### Buildings
;     Buildings on the building pool
;     Building is anything placed by a IPL that is not a object (see Dummys or Objects to see what is a object)
;
; ### Peds
;     Peds on the peds pool
;     Note this does not increase the amount of peds roaming, but increases the maximum number of peds can be created
;
; ### Vehicles
;    Vehicles on the vehicles pool
;    Note this does not increase the amount of vehicles roaming, but increases the maximum number of vehicles can be created
;
; ### Objects
;    Dynamic objects (i.e. registed in objects.dat) near/visible to the player
;    See also: Dummys
;
; ### Dummys
;    Dynamic objects (i.e. registed in objects.dat) spawned at once in the entire world
;    Whenever the player is near this dynamic object an actual Object representation of it is created (see also Objects)
;    
;    This is used to save memory, this stores basic information about the dyn object (position, model, etc) and only spawns
;    the actual dynamic stuff (which uses more memory) when necessary, that's, when near it.
;
; ### PedIntelligence
;    Ped AI instances
;    **MUST** be the same value as Peds
;
; ### ColModel [CanBeUnlimited]
;    Collision models loaded at once
;    Notice this is not the same as one .col file, .col files might be collision archives which contain many ColModels.
;
; ### PtrNodeSingle [CanBeUnlimited]
;    Nodes for the pool of singly linked lists
;    Directly related to the amount of entities spawned in the world and values stored in quad trees.
;
; ### PtrNodeDouble [CanBeUnlimited]
;    Nodes for the pool of double linked lists
;    Directly related to the amount of entities spawned in the world
;
; ### PtrNode
;    Mix of PtrNodeSingle and PtrNodeDouble (see PtrNodeSingle and PtrNodeDouble)
;
; ### EntryInfoNode [CanBeUnlimited]
;    Directly related to the amount of collidable entities spawned in the world
;
; ### Task [CanBeUnlimited]
;    Running pedestrian tasks around the world
;
; ### Event [CanBeUnlimited]
;    Events notification around the world (vehicles collided, etc)
;
; ### PointRoute [CanBeUnlimited]
;    Related to AI routes (see scm command 05D7)
;
; ### PatrolRoute [CanBeUnlimited]
;    Related to AI patrol routes (see scm command 0755)
;
; ### NodeRoute [CanBeUnlimited]
;    Related to dynamic AI routes to go somewhere (for example, the command 05F5)
;
; ### TaskAllocator [CanBeUnlimited]
;    Allocator of tasks to organized group of peds
;
; ### PedAttractors [CanBeUnlimited]
;    Peds attracted to specific objects (e.g. ped using a cassino machine)
;
; ### VehicleStructs [CanBeUnlimited]
;    Loaded vehicles models information.
;
; ### Treadables
;    Animated buildings?
;
; ### AudioScriptObj
;    Script sounds (see scm command 018D)
;
;
; ### MatrixList [CanBeUnlimited]
;    Pool of transformation matrices, directly related to the amount of physical objects in the world
;
; ### AlphaEntityList [CanBeUnlimited]
;    List of entities (non-vehicle) to be rendered that contains alpha components (textures, object is going from invisible to visible state...)
;
; ### VisibleEntityPtrs [CanBeUnlimited]
;    List of visible non-lod entities
;
; ### VisibleLodPtrs [CanBeUnlimited]
;    List of visible lod entities
;
; ### OutsideWorldWaterBlocks
;    Amount of blocks outside the world boundaries to be rendered 
;    Fixes water flickering outside world bondaries
;
; ### StreamingObjectInstancesList
;    List of streamed in entities RwObjects (dff models)
;    Fixes buildings flickering when seeing too many of them
;
; ### AtomicModels [CanBeUnlimited]
;    Maximum amount of object definitions that aren't breakable (http://www.gtamodding.com/index.php?title=OBJS)
;
; ### DamageAtomicModels [CanBeUnlimited]
;    Maximum amount of object definitions that are breakable (http://www.gtamodding.com/index.php?title=OBJS)
;
; ### TimeModels [CanBeUnlimited]
;    Maximum amount of timed object definitions (http://www.gtamodding.com/index.php?title=TOBJ)
;
; ### ClumpModels [CanBeUnlimited]
;    Maximum amount of hierarchical object definitions (http://www.gtamodding.com/wiki/HIER and http://www.gtamodding.com/wiki/ANIM)
;
; ### VehicleModels [CanBeUnlimited]
;    Maximum amount of vehicle definitions (http://www.gtamodding.com/wiki/CARS_(IDE_Section))
;
; ### PedModels [CanBeUnlimited]
;    Maximum amount of ped definitions (http://www.gtamodding.com/wiki/PEDS)
;
; ### WeaponModels [CanBeUnlimited]
;    Maximum amount of weapon definitions (http://www.gtamodding.com/wiki/WEAP)
;
; ### EntitiesPerIpl [CanBeUnlimited]
;    Maximum amount of instantiated entities (in INST section) from a single IPL file.
;
; ### EntityIpl [CanBeUnlimited]
;    Maximum number of IPL files that creates entities.
;
; ### StaticShadows
;    Maximum amount of static shadows
;
; ### Coronas
;    Maximum amount of coronas
;
; ### ScriptSearchLights
;    Maximum amount of searchlights that can be created with opcode 06B1
;
; ### FrameLimit
;    By default this is set to 30, which is actually 25fps. For 60fps, the value is 105.
;
; ### MemoryAvailable
;    Streaming memory available for streamed resources (http://www.gtamodding.com/wiki/Resource_Streaming) in **MEGABYTES**.
;    The value can be in percent if you append a '%' at the end of the number, in this situation it'll use this percentage of memory
;    from the amount of physical memory available in your system.
;
;
;